org.codehaus.groovy.runtime.metaclass

## Class ReflectionMetaMethod

- java.lang.Object
- - org.codehaus.groovy.reflection.ParameterTypes
  - - groovy.lang.MetaMethod
    - - org.codehaus.groovy.runtime.metaclass.ReflectionMetaMethod

- All Implemented Interfaces:
    java.lang.Cloneable
  Direct Known Subclasses:
    NewMetaMethod

      public class ReflectionMetaMethod
      extends MetaMethod

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CachedMethod` | `method`

    - ### Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes

      `isVargsMethod, nativeParamTypes, parameterTypes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReflectionMetaMethod(CachedMethod method)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MetaMethod` | `getCachedMethod()`
    `CachedClass` | `getDeclaringClass()`
    `int` | `getModifiers()`
    `java.lang.String` | `getName()`
    `protected java.lang.Class[]` | `getPT()`
    `java.lang.Class` | `getReturnType()`
    `java.lang.Object` | `invoke(java.lang.Object object, java.lang.Object[] arguments)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class groovy.lang.MetaMethod

      `checkParameters, clone, doMethodInvoke, equal, equal, getDescriptor, getMopName, getSignature, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException`

    - ### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

      `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### method

          protected final CachedMethod method

  - ### Constructor Detail

    - #### ReflectionMetaMethod

          public ReflectionMetaMethod(CachedMethod method)

  - ### Method Detail

    - #### getModifiers

          public int getModifiers()

      Specified by:
        `getModifiers` in class `MetaMethod`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in class `MetaMethod`

    - #### getReturnType

          public java.lang.Class getReturnType()

      Specified by:
        `getReturnType` in class `MetaMethod`

    - #### getDeclaringClass

          public CachedClass getDeclaringClass()

      Specified by:
        `getDeclaringClass` in class `MetaMethod`

    - #### invoke

          public java.lang.Object invoke(java.lang.Object object,
                                java.lang.Object[] arguments)

      Specified by:
        `invoke` in class `MetaMethod`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `MetaMethod`

    - #### getPT

          protected java.lang.Class[] getPT()

      Overrides:
        `getPT` in class `ParameterTypes`

    - #### getCachedMethod

          public MetaMethod getCachedMethod()